## org.apache.bcel.verifier
Interface VerifierFactoryObserver

All Known Implementing Classes:
  TransitiveHull, VerifierFactoryListModel

public interface VerifierFactoryObserver

VerifierFactoryObserver instances are notified when new Verifier instances are created.

Version:
  $Id: VerifierFactoryObserver.java,v 1.1.1.1 2001/10/29 20:00:32 jvanzyl Exp $
Author:
  Enver Haase
See Also:
  `VerifierFactory.getVerifier(String)`, `VerifierFactory.getVerifiers()`, `VerifierFactory.attach(VerifierFactoryObserver)`, `VerifierFactory.detach(VerifierFactoryObserver)`

Method Summary
`void` `update(java.lang.String s)` VerifierFactoryObserver instances are notified invoking this method.

Method Detail

### update

    public void update(java.lang.String s)

  VerifierFactoryObserver instances are notified invoking this method. The String argument is the fully qualified class name of a class a new Verifier instance created by the VerifierFactory operates on.

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.